﻿using IMES_Middleware_Platform.Api.Services.Association;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.Service_Middleware_Platform.Api.Core
{
    /// <summary>
    /// 协会服务
    /// </summary>
    public interface IAssociationService
    {
        /// <summary>
        /// 搜索油站信息
        /// </summary>
        /// <param name="areaType">区域</param>
        /// <param name="search"></param>
        /// <returns></returns>
        Task<LocalApiDto> GetAllStation(string areaType, string search);

        /// <summary>
        /// 获取用户Token信息
        /// </summary>
        /// <param name="user"></param>
        /// <returns></returns>
        Task<UserResponseDto>GetToken(UserLogin user);
    }
}
