﻿using IMES_Middleware_Platform.Api.Domain.Module.Dto;
using IMES_Middleware_Platform.Api.Services.Module.Input;
using IMES_Middleware_Platform.Api.Services.Module.Output;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Dto;

namespace IMES_Middleware_Platform.Api.Services.Module
{
    /// <summary>
    /// 模块接口
    /// </summary>
    public interface IModuleService
    {
        Task<ModuleGetOutput> GetAsync(long id);

        Task<PageOutput<ModuleListOutput>> GetPageAsync(PageInput<ModuleGetPageDto> input);

        Task<long> AddAsync(ModuleAddInput input);

        Task UpdateAsync(ModuleUpdateInput input);

        Task DeleteAsync(long id);

        Task SoftDeleteAsync(long id);

        Task BatchSoftDeleteAsync(long[] ids);
    }
}